import { Stream } from 'most';
import { Subject } from 'most-subject';
export declare type Subject<T> = Subject<T>;
export declare type DomEvent = Event | CustomEvent | {
    target: Element;
};
export declare function createEventStream<T>(): Subject<T>;
export declare function createMemoryEventStream<T>(): Subject<T>;
export declare function attachEventStream<T>(to$: Subject<T>, from$: Stream<T>): void;
export interface CustomEventInit {
    bubbles?: boolean;
    cancelable?: boolean;
    detail?: Object;
}
export declare function createCustomEvent(document: HTMLDocument, eventName: string, customEventInit?: CustomEventInit): CustomEvent;
