"use strict";
var dom_1 = require('./dom');
var stream_1 = require('./stream');
function expression(context, value) {
    return (stream_1.isStream(value) ? stream_1.stream(context, value.multicast()) :
        Array.isArray(value) ? value.map(function (c) { return expression(context, c); }) :
            // TODO: Strengthen this check to exclude all but InitializeNode functions
            typeof value === 'function' ? value :
                dom_1.text(context, value));
}
exports.expression = expression;
