"use strict";
var most_subject_1 = require('most-subject');
// TODO: Consider exposing that these are subjects
function createEventStream() {
    return most_subject_1.subject();
}
exports.createEventStream = createEventStream;
function createMemoryEventStream() {
    return most_subject_1.holdSubject();
}
exports.createMemoryEventStream = createMemoryEventStream;
// TODO: Consider better name for this
function attachEventStream(to$, from$) {
    from$
        .observe(function (e) { return to$.next(e); })
        .then(undefined, function (error) { return console.error(error); });
}
exports.attachEventStream = attachEventStream;
function createCustomEvent(document, eventName, customEventInit) {
    if (customEventInit === void 0) { customEventInit = {}; }
    if (typeof CustomEvent === 'function') {
        return new CustomEvent(eventName, customEventInit);
    }
    else {
        var customEvent = document.createEvent('CustomEvent');
        var _a = customEventInit.bubbles, bubbles = _a === void 0 ? false : _a, _b = customEventInit.cancelable, cancelable = _b === void 0 ? false : _b, _c = customEventInit.detail, detail = _c === void 0 ? null : _c;
        customEvent.initCustomEvent(eventName, bubbles, cancelable, detail);
        return customEvent;
    }
}
exports.createCustomEvent = createCustomEvent;
