import { StreamDomContext, StreamDomScope } from '../index';
import { Attributes, InitializeNode, NodeDescriptor } from './node';
export interface ComponentDetails {
    attributes?: Attributes;
    children?: InitializeNode[];
}
export interface ComponentFactory {
    (ComponentFactoryArgs: any): InitializeNode;
}
export declare function component(context: StreamDomContext, ComponentFactory: ComponentFactory, {attributes, children}?: ComponentDetails): (scope: StreamDomScope) => NodeDescriptor;
